%define major	2
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Summary:	Control radio transceivers and receivers
Name:		hamlib
Version:	3.0.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		Communications
Url:		http://hamlib.sourceforge.net
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#------------------------------------------
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}usb-compat0.1-devel
BuildRequires:	gd-devel
BuildRequires:	libltdl-devel
#------------------------------------------

%description
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package -n %{libname}
Summary:	Run-time library to control radio transceivers and receivers
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n %{libname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

%package utils
Summary:	Utilities to support the hamlib radio control library
Group:		Communications

%description utils
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides a command-line utility to test the hamlib library and
to control transceivers if you're short of anything more sophisticated.

%package -n %{devname}
Summary:	Development library to control radio transcievers and receivers
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n %{devname}
Hamlib provides a standardized programming interface that applications
can use to send the appropriate commands to a radio.

This package provides the development files and headers.


%prep
%setup -q

%build
autoconf
%configure2_5x \
	--disable-static \
	--with-rigmatrix \
	--without-perl-binding \
	--without-python-binding
%make

%install
%makeinstall

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog PLAN README THANKS TODO
%{_libdir}/libhamlib.so.%{major}*
%{_libdir}/libhamlib++.so.%{major}*

%files utils
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_bindir}/*

%files -n %{devname}
%{_defaultdocdir}/%{name}/*
%{_infodir}/hamlib.info.*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}
%{_datadir}/aclocal/hamlib.m4
%{_libdir}/pkgconfig/hamlib.pc
%{_libdir}/libhamlib.so
%{_libdir}/libhamlib++.so


%changelog
* Fri Dec 02 2016 adrianomorselli <adrianomorselli> 3.0.1-1uplos2016
- rebuild

* Sat Jul 16 2016 bb <bb> 3.0.1-1pclos2016
- update for 2016

